import React from 'react';
import { Toast } from 'antd-mobile';
// import { Icon } from 'antd';

import UserInfo from '../view/UserInfo';
import IndexEntry from '../view/IndexEntry';
import PageLoading from '../view/PageLoading';
import Fetch from '../fetch';
import data from '../data/index.entries';

export default class Index extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      userInfo: {}
    };
  }

  componentDidMount() {
    document.title = '我';
    Fetch.getUserInfo()
      .then(userInfo => {
        this.setState({ userInfo });
      });
  }

  onClick = path => {
    this.props.history.push(path);
  }

  render() {
    const { avatar, name, info, reach = 2 } = this.state.userInfo;
    return (
      <div className="app-page">
        <UserInfo avatar={avatar} name={name} info={info} />
        {
          data.slice(0, reach).map(({ head, entries }, index) => (
            <IndexEntry
              key={index}
              onClick={this.onClick}
              head={head}
              entries={entries}
            />
          ))
        }{
          !name && <PageLoading />
        }
      </div>
    );
  }

}
